aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorMichele Locati <michele@locati.it>2018-03-14 17:30:41 +0100
committerMichele Locati <michele@locati.it>2018-03-14 17:30:41 +0100
commit6d34f332b587a11c002f9a76cf2ec85a8c45a959 (patch)
tree184ea1374524ba15d36bd1ed6e238bda2489016c /test
parentd807ec71e2451e50ac5c392ac6f38b0a56e146ea (diff)
downloadincremental-git-filter-branch-6d34f332b587a11c002f9a76cf2ec85a8c45a959.tar.gz
incremental-git-filter-branch-6d34f332b587a11c002f9a76cf2ec85a8c45a959.tar.bz2
incremental-git-filter-branch-6d34f332b587a11c002f9a76cf2ec85a8c45a959.zip
Add an option to transliterate all tags
Diffstat (limited to 'test')
-rw-r--r--test/tests/filter-directory-all-tags.success16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/tests/filter-directory-all-tags.success b/test/tests/filter-directory-all-tags.success
new file mode 100644
index 0000000..1b96830
--- /dev/null
+++ b/test/tests/filter-directory-all-tags.success
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+. "$(cd -- "$(dirname -- "${0}")" && pwd -P)/../bootstrap.sh"
+
+initializeRepositories
+
+"${BIN_MAIN}" --workdir "${DIR_TEMP}" --whitelist 'master' --tags all -- "${DIR_SOURCE}" '--subdirectory-filter subdir' "${DIR_DESTINATION}"
+
+echo 'Fetching tags'
+actualTags="$(getTagList "${DIR_DESTINATION}")"
+expectedTags='tag-02 tag-03'
+if test "${actualTags}" != "${expectedTags}"
+then
+ printf 'Expected tags: %s\nResulting tags: %s\n' "${expectedTags}" "${actualTags}">&2
+ exit 1
+fi

© 2014-2024 Faster IT GmbH | imprint | privacy policy